Accessibility

Security bulletin

Security updates available for Adobe Flash Player

Release date: September 10, 2013

Vulnerability identifier: APSB13-21

Priority: See table below

CVE number: CVE-2013-3361, CVE-2013-3362, CVE-2013-3363, CVE-2013-5324

Platform: All Platforms

Summary

Adobe has released security updates for Adobe Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.297 and earlier versions for Linux, Adobe Flash Player 11.1.115.69 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.64 and earlier versions for Android 3.x and 2.x.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.8.800.168.
  • Users of Adobe Flash Player 11.2.202.297 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.310.
  • Adobe Flash Player 11.8.800.97 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.8.800.170 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.8.800.94 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.8.800.168 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.69 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.81. 
  • Users of Adobe Flash Player 11.1.111.64 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.73.
  • Users of Adobe AIR 3.8.0.870 and earlier versions for Windows and Android should update to Adobe AIR 3.8.0.1430.
  • Users of Adobe AIR 3.8.0.910 and earlier versions for Macintosh should update to Adobe AIR 3.8.0.1430.
  • Users of the Adobe AIR 3.8.0.870 SDK & Compiler and earlier versions for Windows should update to the Adobe AIR 3.8.0.1430 SDK & Compiler.
  • Users of the Adobe AIR 3.8.0.910 SDK & Compiler and earlier versions for Macintosh should update to the Adobe AIR 3.8.0.1430 SDK & Compiler.

Affected software versions

  • Adobe Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh
  • Adobe Flash Player 11.2.202.297  and earlier versions for Linux
  • Adobe Flash Player 11.1.115.69 and earlier versions for Android 4.x
  • Adobe Flash Player 11.1.111.64 and earlier versions for Android 3.x and 2.x
  • Adobe AIR 3.8.0.870 and earlier versions for Windows and Android
  • Adobe AIR 3.8.0.910 and earlier versions for Macintosh
  • Adobe AIR 3.8.0.870 SDK & Compiler and earlier versions for Windows
  • Adobe AIR 3.8.0.910 SDK & Compiler and earlier versions for Macintosh

To verify the version of Adobe Flash Player installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select "About Adobe (or Macromedia) Flash Player" from the menu.  If you use multiple browsers, perform the check for each browser you have installed on your system.

To verify the version of Adobe Flash Player for Android, go to Settings > Applications > Manage Applications > Adobe Flash Player x.x.

To verify the version of Adobe AIR installed on your system, follow the instructions in the Adobe AIR TechNote.

Solution

Adobe recommends users update their software installations by following the instructions below:

  • Adobe recommends users of Adobe Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh update to the newest version 11.8.800.168 by downloading it from the Adobe Flash Player Download Center, or via the update mechanism within the product when prompted.
  • Adobe recommends users of Adobe Flash Player 11.2.202.297 and earlier versions for Linux update to Adobe Flash Player 11.2.202.310 by downloading it from the Adobe Flash Player Download Center.
  • For users of Flash Player 10.3.183.90 and earlier versions for Windows and Macintosh, who cannot update to Flash Player 11.8.800.168, Adobe has made available the update Flash Player 11.7.700.242, which can be downloaded here.* Note:  Beginning July 9, 2013, Adobe Flash Player 11.7.x replaced version 10.3.x as the extended support version.  Adobe recommends users upgrade to version 11.7.x in order to continue to receive security updates.  See this blog post for further details. 
  • Adobe Flash Player 11.8.800.97 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.8.800.170 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.8.800.94 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.8.800.168 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.69 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.81*.  * Note: Applicable only for Android 4.x devices with Flash Player installed prior to August 15, 2012.
  • Users of Adobe Flash Player 11.1.111.64 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.73*.  * Note: Applicable only for Android 3.x devices and earlier with Flash Player installed prior to August 15, 2012.
  • Users of Adobe AIR 3.8.0.870 and earlier versions for Windows should update to Adobe AIR 3.8.0.1430.
  • Users of Adobe AIR 3.8.0.910 and earlier versions for Macintosh should update to Adobe AIR 3.8.0.1430.
  • Users of the Adobe AIR 3.8.0.870 and earlier versions for Android should update to Adobe AIR 3.8.0.1430 by browsing to Google play or the Amazon Marketplace on an Android device.

Priority and severity ratings

Adobe categorizes these updates with the following priority ratings and recommends users update their installations to the newest versions:

Product Updated version Platform Priority rating
Adobe Flash Player 11.8.800.168 Windows & Macintosh 1
  11.7.700.242 Windows & Macintosh 1
  11.2.202.310 Linux 3
  11.1.115.81 Android 4.x 3
  11.1.111.73 Android 3.x and 2.x 3
       
Adobe AIR 3.8.0.1430 Windows, Android and SDK & Compiler (Win) 3
  3.8.0.1430 Macintosh and SDK & Compiler (Mac) 3
       

These updates address critical vulnerabilities in the software.

Details

Adobe has released security updates for Adobe Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.297 and earlier versions for Linux, Adobe Flash Player 11.1.115.69 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.64 and earlier versions for Android 3.x and 2.x.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.8.800.168.
  • Users of Adobe Flash Player 11.2.202.297 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.310.
  • Adobe Flash Player 11.8.800.97 installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.8.800.170 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.8.800.94 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.8.800.168 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.69 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.81. 
  • Users of Adobe Flash Player 11.1.111.64 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.73.
  • Users of Adobe AIR 3.8.0.870 and earlier versions for Windows and Android should update to Adobe AIR 3.8.0.1430.
  • Users of Adobe AIR 3.8.0.910 and earlier versions for Macintosh should update to Adobe AIR 3.8.0.1430.
  • Users of the Adobe AIR 3.8.0.870 SDK & Compiler and earlier versions for Windows should update to the Adobe AIR 3.8.0.1430 SDK & Compiler.
  • Users of the Adobe AIR 3.8.0.910 SDK & Compiler and earlier versions for Macintosh should update to the Adobe AIR 3.8.0.1430 SDK & Compiler.

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2013-3361, CVE-2013-3362, CVE-2013-3363, CVE-2013-5324).

Affected software Recommended player update Availability
Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh 11.8.800.168 Flash Player Download Center
Flash Player 11.8.800.94 and earlier versions for Windows and Macintosh (network distribution) 11.8.800.168 Flash Player Licensing
Flash Player 11.2.202.297 and earlier for Linux 11.2.202.310 Flash Player Download Center
Flash Player 11.1.115.69 and earlier for Android 4.x 11.1.115.81 Applicable only for Android 4.x devices with Flash Player installed prior to August 15, 2012
Flash Player 11.1.111.64 and earlier for Android 3.x and 2.x 11.1.111.73 Update to devices that already have Flash Player installed prior to August 15, 2012.
Flash Player 11.8.800.97 and earlier for Chrome (Windows, Macintosh and Linux) 11.8.800.170 Google Chrome Releases
Flash Player 11.8.800.94 and earlier in Internet Explorer 10 for Windows 8 11.8.800.168 Microsoft Security Advisory
AIR 3.8.0.870 and earlier for Windows 3.8.0.1430 AIR Download Center
AIR 3.8.0.910 and earlier for Macintosh 3.8.0.1430 AIR Download Center
AIR 3.8.0.870 SDK & Compiler (Windows) 3.8.0.1430 AIR SDK Download
AIR 3.8.0.910 SDK & Compiler (Macintosh) 3.8.0.1430 AIR SDK Download
AIR 3.8.0.870 and earlier for Android 3.8.0.1430 Google Play or Amazon Marketplace

Acknowledgments

Adobe would like to thank the following individuals for reporting the relevant issues and for working with Adobe to help protect our customers:

  • Mateusz Jurczyk and Ben Hawkes of the Google Security Team (CVE-2013-3361, CVE-2013-3362, CVE-2013-3363, CVE-2013-5324)